package sample.i18n;

import java.util.Locale;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

// Sample application for demonstrating non-English-speaker's
// localization strategy.
// 2011 Apr 17 Written for test by ARAI, Bunkichi, Kobu.Com,
// 2011 Jul 24 Updated for demonstration

public class I18N extends Activity implements OnClickListener {
	
	private String logtag = getClass().getSimpleName();
	
	private TextView textView;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    
        textView = (TextView) findViewById(R.id.textView1);
        
        Button button = (Button) findViewById(R.id.button1);
        button.setOnClickListener(this);
        
        Locale locale = Locale.getDefault(); // current locale
        // Locale locale = getResources().getConfiguration().locale; // or you can ...
        Log.d(logtag, "lang = " + locale.getLanguage());
    }

	@Override
	public void onClick(View v) {
		if (v.getId() == R.id.button1) {
			textView.setText(getString(R.string.byebye)); // set localized text
			// textView.setText(R.string.byebye); // or you can do it faster
		}
	}
    
    
}